#include <avr/io.h>
#include <util/delay.h>
#include <stdlib.h>
#include <avr/interrupt.h>
#include "lcd.h"

#define F_CPU 8000000UL

#define SetPwm(a)		(TC1H=(a>>8), OCR1B =(unsigned char)a)


volatile unsigned int target_pwm;
volatile unsigned int adc_buf[16];
volatile unsigned char adc_buf_pointer;
volatile unsigned int Adc_value;

void AdcInit(void);
void LcdInit(void);
void PwmStart(unsigned int);
void LcdRefresh(void);
